package effects;

import java.awt.image.BufferedImage;

/**
 * Interface class for Effect.
 * @author Matthias Eigner
 *
 */
public interface IEffect {
		
	public int[] applyEffect(int[] data);
	
	public boolean configEffect();
	
	public BufferedImage applyEffectToBufferedImage(BufferedImage img);

	int[] applyEffect(int[] data, double width, double height);
}
